summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD11
2 files changed, 12 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 28785ec13ad..38b3566d374 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Wed Mar 29 20:15:09 UTC 2017
+# Tue Aug 15 04:57:06 UTC 2017
pkgbase = edk2-ovmf-macboot-git
pkgdesc = edk2 UEFI firmware with macOS compatibility fixes
- pkgver = r21417.30f2b3985d
- pkgrel = 1
+ pkgver = r22104.9bd03459f1
+ pkgrel = 2
url = https://www.contrib.andrew.cmu.edu/~somlo/OSXKVM/
arch = any
license = BSD
diff --git a/PKGBUILD b/PKGBUILD
index 3002066e689..540909779b2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,8 +1,8 @@
# Maintainer: Vladimir Panteleev <arch-pkg at thecybershadow.net>
pkgname=edk2-ovmf-macboot-git
-pkgver=r21417.30f2b3985d
-pkgrel=1
+pkgver=r22104.9bd03459f1
+pkgrel=2
pkgdesc="edk2 UEFI firmware with macOS compatibility fixes"
arch=('any')
url="https://www.contrib.andrew.cmu.edu/~somlo/OSXKVM/"
@@ -19,6 +19,13 @@ pkgver() {
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
+prepare() {
+ cd "$srcdir/edk2"
+ git remote add tianocore git@github.com:tianocore/edk2.git || true
+ git fetch tianocore
+ git merge --no-edit tianocore/master
+}
+
build() {
cd "$srcdir/edk2"
make -C BaseTools